/*
 * @Author: your name
 * @Date: 2021-12-22 17:00:22
 * @LastEditTime: 2022-04-14 13:32:01
 * @LastEditors: your name
 * @Description: 组织树
 */

import { translateDataToTreeAll } from '@/utils/validate'
import { GetOrganTreeNoReg } from '@/api/section'

export default {
  data() {
    return {
      orgTree: [
        {
          AuthCount: 0,
          JobCount: 0,
          OfficerCount: 0,
          OrganId: -1,
          OrganName: '佛山路桥',
          OrganUpid: -2,
          QueryTarget: '0',
          Type: 0,
          disabled: true,
          children: []
        }
      ],
      orgList: [],
      checkedOrgs: [],
      orgCheckedKeys: []
    }
  },
  mounted() {
    this.getOrganTree()
  },
  methods: {
    orgCheckChangeHandler(arr) {
      this.checkedOrgs = arr.filter(item => item.OrganId !== -1)
      // console.log(this.checkedOrgs)
    },
    async getOrganTree() {
      try {
        const result = await GetOrganTreeNoReg()
        if (result.code === 0 && result.returnData.length) {
          const obj = {
            AuthCount: 0,
            JobCount: 0,
            OfficerCount: 0,
            OrganId: -1,
            OrganName: '佛山路桥',
            OrganUpid: -2,
            QueryTarget: '0',
            Type: 0,
            disabled: true,
            children: translateDataToTreeAll(result.returnData, 'OrganUpid', 'OrganId')
          }
          this.orgList = result.returnData
          this.orgTree = [obj]
        }
      } catch (error) {
        console.log('出错了', error)
      }
    }
  }
}
