/*
 * @Author: Badguy
 * @Date: 2022-04-11 11:00:32
 * @LastEditTime: 2022-04-14 13:34:22
 * @LastEditors: your name
 * @Description: 用户列表
 * have a nice day!
 */

import { GetUserList } from '@/api/apiAuthority'

export default {
  data() {
    return {
      userList: [],
      checkedUsers: []
    }
  },
  methods: {
    userCheckChangeHandler(checkedKeys) {
      this.checkedUsers = this.userList.filter(item => checkedKeys.includes(item.UserId))
      // console.log(this.checkedUsers)
    },
    async loadUserList(keyWords = '', pageSize = 20, pageNum = 1) {
      try {
        this.$refs['userList'].setLoading(true)
        const res = await GetUserList({
          QueryName: keyWords,
          PageSize: pageSize,
          PageIndex: pageNum
        })
        if (res.code === 0) {
          const { records, pages } = res.returnData
          if (pageNum > 1) {
            this.userList.push(...records)
          } else {
            this.userList = records
          }
          this.$refs['userList'].setTotal(pages)
          this.$refs['userList'].setLoading(false)
        } else {
          this.$message.error(res.message)
          this.$refs['userList'].setLoading(false)
        }
      } catch (error) {
        console.log('出错了', error)
        this.$refs['userList'].setLoading(false)
      }
    }
  }
}
